/*
 *--- PGetPageImage.cpp ---------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:49 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PGetPageImage.html
 *-------------------------------------------------------------------------
 */

#include "PGetPageImage.h"
#include "PQuery.h"
#include "PReplyBuf.h"
#include "PRequestBuf.h"

PGetPageImage::PGetPageImage
  (	PMBool 	bSelect,
	short	cViewPercent,
	short	nRefNumber,
	short	nPictID,
	long	hDC )

{
	char temp[32];
	
	PRequestBuf request(temp);
	
	request	<< bSelect
			<< cViewPercent
			<< nRefNumber
			<< nPictID
			<< hDC;
	
	PQuery query(pm_getpageimage, request, hImage);
}

// end of PGetPageImage.cpp
